Index: client.py
===================================================================
RCS file: /cvsroot/roundup/roundup/roundup/cgi/client.py,v
retrieving revision 1.130.2.3
diff -u -r1.130.2.3 client.py
--- client.py	24 Oct 2003 09:31:13 -0000	1.130.2.3
+++ client.py	3 Nov 2003 15:05:12 -0000
@@ -769,7 +769,7 @@
 To complete your registration of the user "%(name)s" with %(tracker)s,
 please visit the following URL:
 
-   %(url)s?@action=confrego&otk=%(otk)s
+ %(url)sC?%(otk)s
 '''%{'name': props['username'], 'tracker': tracker_name, 'url': self.base,
                 'otk': otk}
         if not self.sendEmail(props['address'], subject, body):
@@ -840,9 +840,14 @@
     def confRegoAction(self):
         ''' Grab the OTK, use it to load up the new user details
         '''
-        # pull the rego information out of the otk database
-        otk = self.form['otk'].value
-        props = self.db.otks.getall(otk)
+        try:
+            # pull the rego information out of the otk database
+            otk = self.form['otk'].value
+            props = self.db.otks.getall(otk)
+        except (ValueError, KeyError), message:
+            self.error_message.append('Invalid One Time Key!')
+            return
+
         for propname, proptype in self.db.user.getprops().items():
             value = props.get(propname, None)
             if value is None:
